unit Value;

{************************************************************************
*                                                                       *
*                      Calculator Value Dialog Box                      *
*                 Copyright (C) 1993-98, John Zaitseff                  *
*                                                                       *
************************************************************************}

{ Author:    John Zaitseff <J.Zaitseff@unsw.edu.au>
  Date:      30th January, 1997.
  Version:   1.4.1

  This file provides the user interface code to create a Value dialog
  box.  Most of the "code" is actually written by Delphi from VALUE.DFM.

  This program, including this file, is under the terms of the GNU
  General Public License.
}


{$IFNDEF WIN32}
Error: 'Compile under Borland Delphi for Win32 only (v2 or later).'
{$ENDIF}

{$IFNDEF OPTDEBUG}
{$UNDEF DEBUG}
{$ENDIF}

{$IFDEF DEBUG}
    {$B-,D+,I+,J-,L+,O+,P-,Q+,R+,T+,U+,V+,X+,Y+,Z1}
    {$WARNINGS ON}
    {$HINTS ON}
{$ELSE}
    {$B-,D-,I+,J-,L-,O+,P-,Q-,R-,T+,U+,V+,X+,Y-,Z1}
    {$WARNINGS ON}
    {$HINTS ON}
{$ENDIF}


interface


uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  ExtCtrls, StdCtrls;

type
  TValueWin = class(TForm)
                OKButton  : TButton;
                Panel     : TPanel;
                SDecLabel : TLabel;
                UDecLabel : TLabel;
                HexLabel  : TLabel;
                BinLabel  : TLabel;
                OctLabel  : TLabel;
                SDecEdit  : TEdit;
                UDecEdit  : TEdit;
                HexEdit   : TEdit;
                BinEdit   : TEdit;
                OctEdit   : TEdit;
              end;

var
  ValueWin : TValueWin;


implementation

{$R *.DFM}

end.
